Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.processors
Class OptionsProcessor

    java.lang.Object
      org.joseki.server.processors.ProcessorCom
          org.joseki.server.processors.ZeroArgProcessor
              org.joseki.server.processors.OptionsProcessor

All Implemented Interfaces:
  Loadable, Processor

public class OptionsProcessor
extends ZeroArgProcessor

Processor that produces the meta-data for an attached model. This is not the processor for the options operation on the whole server.

Version:
  $Id: OptionsProcessor.java,v 1.5 2004/04/30 14:13:11 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary

Fields inherited from interface org.joseki.server.Processor
`ARGS_ONE, ARGS_ZERO, ARGS_ZERO_OR_ONE`

Constructor Summary
`OptionsProcessor()`

Method Summary
`com.hp.hpl.jena.rdf.model.Model` | `execZeroArg(ModelSource src, Request request)`
`java.lang.String` | `getInterfaceURI()` The URI for this loadable class.

Methods inherited from class org.joseki.server.processors.ZeroArgProcessor
`argsNeeded, exec`

Methods inherited from class org.joseki.server.processors.ProcessorCom
`init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsProcessor

    public OptionsProcessor()

Method Detail

### getInterfaceURI

    public java.lang.String getInterfaceURI()

  Description copied from interface: `Loadable`
  The URI for this loadable class. Must agree with the URI specified on loading (if any).

### execZeroArg

    public com.hp.hpl.jena.rdf.model.Model execZeroArg(ModelSource src,
                                                       Request request)
                                                throws com.hp.hpl.jena.rdf.model.RDFException,
                                                       ExecutionException

  Specified by:
    `execZeroArg` in class `ZeroArgProcessor`
  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`
    `ExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.